Bug 118979 - lang/mlton: Update to version 20070826 for i386
Summary: lang/mlton: Update to version 20070826 for i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-24 01:00 UTC by Jesper Louis Andersen
Modified: 2008-01-26 01:10 UTC (History)
0 users

See Also:


Attachments
file.txt (20.09 KB, text/plain)
2007-12-24 01:00 UTC, Jesper Louis Andersen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesper Louis Andersen 2007-12-24 01:00:02 UTC
New update of the lang/mlton port.

Notes:

* This only accounts for i386. We do have amd64 support for FreeBSD as well, but I need more RAM to be able to test that (mlton EATS RAM, especially when a pointer is 8 bytes... :), I asked Santa for more, so let us see what happens...

* Kill most of the maintainer stuff in the makefile. There are nice tools in ports-mgmt/ to take care of most of those things anyway.

* New Bootstrap image, FreeBSD 7.0 ready. This means we MAY have to bump the version descriptor so its for 7.0 only. I do not know if the image is backwards compatible but I guess not.

* Theres some cruft lying around inside the lib/mlton which could be thinned down. It also generates a spurious warning from portlint. If this is too ugly for your tastes, please say so. I plan on getting the shovel under it and the amd64 release soon.

* Thing doesn't use gettext directly, so get rid of that.

* New pseudo-automatical pkg-plist generated from the hints in the Porters handbook.

* Port survives port test /usr/ports/lang/mlton - if there is anything more to test, please do tell me.

* Port requires quite some memory to compile. I hint it to stay under 680mb of RAM which makes it compile without to much GC pressure, but whole-program-compilation has this as its bane. The amd64 code generator takes at least 1.2Gb of memory for a self compile.

* Patch was first gzipped and then uuencoded to make the HTML send-pr system happy.
Please mail me for further questions.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-12-24 01:00:11 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-12-24 01:00:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jesper Louis Andersen 2007-12-24 01:18:59 UTC
Now, this is what I forgot:

jlouis@mongers.org and jesper.louis.andersen@gmail.com is the same
person. I just wanted to change the email address to the one I tend to
use. Thanks.

(If you need proof of this, just ask)
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2007-12-24 01:59:42 UTC
State Changed
From-To: feedback->open

Submitter is maintainer using another address.
Comment 5 Edwin Groothuis freebsd_committer 2007-12-24 03:29:24 UTC
Class Changed
From-To: change-request->maintainer-update

Submitter is maintainer using another address.
Comment 6 Thomas Abthorpe freebsd_committer 2008-01-24 19:16:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 7 dfilter service freebsd_committer 2008-01-26 01:02:38 UTC
tabthorpe    2008-01-26 01:02:33 UTC

  FreeBSD ports repository

  Modified files:
    lang/mlton           Makefile distinfo pkg-plist 
  Added files:
    lang/mlton/files     patch-mlton-Makefile 
  Log:
  - Update to 20070826
  
  PR:             ports/118979
  Submitted by:   Jesper Louis Andersen <jesper.louis.andersen gmail.com> (maintainer)
  Sponsored by:   FreeBSD Bug-a-thon #3
  
  Revision  Changes     Path
  1.16      +11 -62     ports/lang/mlton/Makefile
  1.6       +6 -6       ports/lang/mlton/distinfo
  1.1       +11 -0      ports/lang/mlton/files/patch-mlton-Makefile (new)
  1.5       +1572 -127  ports/lang/mlton/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Thomas Abthorpe freebsd_committer 2008-01-26 01:02:55 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!